Subject: bug#59445: 29.0.50; Tweak tree sitter faces in Java and TypeScript

From: Yuan Fu <[email-masked]>
Date: Tue, 22 Nov 2022 02:08:16 -0800

Randy Taylor <[email-masked]> writes:

> On Monday, November 21st, 2022 at 07:13, Theodor Thornhill via "Bug
> reports for GNU Emacs, the Swiss army knife of text editors"
> <[email-masked]> wrote:
>
>> 
>> Hi Yuan!
>> 
>> I tweaked Java and TypeScript a little.
>> 
>> Feel free to apply when you have the time :)
>> 
>> Theo

Thanks, I just applied this patch.

>
> Looks good.
>
> For java-ts-mode.el can you show examples of what bracket and
> delimiter highlight with your changes? I couldn't get them to
> highlight anything when I tested and I had the exact same queries as
> you, hence why I left them out of my patch. Similar thing occurred
> with sh-script.el.

Have you tried using treesit-query-capture to "manually" capture these
nodes? I always use

(treesit-query-capture (treesit-buffer-root-node) <query> (region-beginning) (region-end))

Yuan